import { OnInit, AfterViewInit, Renderer2, ElementRef } from '@angular/core';
import { Sector, Line, RenderSector, Value, GaugeProps } from './shared/ng2-gauge.interface';
import { GaugeConfig } from './shared/config';
export declare class Ng2GaugeComponent implements OnInit, AfterViewInit, GaugeProps {
    private _renderer;
    gauge: ElementRef;
    arrow: ElementRef;
    size: number;
    start: number;
    end: number;
    sectors: Sector[];
    unit: string;
    showDigital: boolean;
    light: number;
    lightTheme: boolean;
    factor: number;
    config: GaugeConfig;
    viewBox: string;
    scaleLines: Line[];
    scaleValues: Value[];
    sectorArcs: RenderSector[];
    radius: number;
    center: number;
    scaleFactor: number;
    private _end;
    private _input;
    private _max;
    private _mappedSectors;
    constructor(_renderer: Renderer2);
    input: number;
    max: number;
    readonly arc: string;
    readonly gaugeRotationAngle: number;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    /**
     * Initialize gauge.
     */
    private _initialize;
    /**
     * Calculate arc.
     */
    private _arc;
    /**
     * Get angle coordinates (Cartesian coordinates).
     */
    private _getAngleCoor;
    /**
     * Calculate/translate the user-defined sectors to arcs.
     */
    private _calculateSectors;
    /**
     * Update the position of the arrow based on the input.
     */
    private _updateArrowPos;
    /**
     * Rotate the gauge based on the start property. The CSS rotation, saves additional calculations with SVG.
     */
    private _rotateGauge;
    /**
     * Determine the scale factor (10^n number; i.e. if max = 9000 then scale_factor = 1000)
     */
    private _determineScaleFactor;
    /**
     * Determine the line frequency which represents after what angle we should put a line.
     */
    private _determineLineFrequency;
    /**
     * Checks whether the line (based on index) is big or small separator.
     */
    private _isSeparatorReached;
    /**
     * Creates the scale.
     */
    private _createScale;
    /**
     * Get the scale line color from the user-provided sectors definitions.
     */
    private _getScaleLineColor;
    /**
     * Add a scale line to the list that will be later rendered.
     */
    private _addScaleLine;
    /**
     * Add a scale value.
     */
    private _addScaleValue;
}
